ISC BIND 9 localnets ACL Security Bypass

medium Nessus Plugin ID 70889
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote name server is prone to a security bypass vulnerability.

Description

According to its self-reported version number, the remote installation of BIND on Windows contains an ACL security bypass vulnerability because the Winsock API does not properly support the 'SIO_GET_INTERFACE_LIST' command for the netmask 255.255.255.255. The netmask 255.255.255.255 will be translated to 0.0.0.0, which will match any IP address. This leads to IP address restrictions being bypassed.

Note that Nessus has only relied on the version itself and has not attempted to determine whether or not the install is actually affected.

Solution

Upgrade to BIND version 9.9.5 / 9.9.4-P1 / 9.8.7 / 9.8.6-P1 / 9.6-ESV-R11 / 9.6-ESV-R10-P1 or later or refer to the vendor for a workaround.

See Also

https://kb.isc.org/docs/aa-01062

http://www.nessus.org/u?b819444d

https://kb.isc.org/article/AA-01067

https://kb.isc.org/article/AA-01068

https://kb.isc.org/article/AA-01069/

http://ftp.isc.org/isc/bind9/9.6-ESV-R10-P1/CHANGES

http://www.nessus.org/u?fb52a286

http://ftp.isc.org/isc/bind9/9.8.6-P1/CHANGES

http://www.nessus.org/u?d2ca0d76

http://ftp.isc.org/isc/bind9/9.9.4-P1/CHANGES

http://www.nessus.org/u?1c70dc0f

Plugin Details

Severity: Medium

ID: 70889

File Name: bind9_994_p1.nasl

Version: 1.9

Type: remote

Family: DNS

Published: 11/13/2013

Updated: 11/27/2019

Dependencies: bind_version.nasl, os_fingerprint.nasl

Configuration: Enable paranoid mode

Risk Information

CVSS Score Source: CVE-2013-6230

VPR

Risk Factor: Medium

Score: 5.8

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:isc:bind

Required KB Items: bind/version, Settings/ParanoidReport

Exploit Ease: No known exploits are available

Patch Publication Date: 11/6/2013

Vulnerability Publication Date: 11/6/2013

Reference Information

CVE: CVE-2013-6230

BID: 63610